> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cuuro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Analysis



## OpenAPI

````yaml post /analysis
openapi: 3.0.0
info:
  title: Cuuro external api service
  description: The external api service for cuuro
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: cuuro
    description: ''
paths:
  /analysis:
    post:
      tags:
        - analysis
      operationId: AnalysisController_createAnalysis
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAnalysisBody'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateAnalysisResponse'
      security:
        - bearer: []
components:
  schemas:
    CreateAnalysisBody:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/AnalysisType'
        investorStartupId:
          type: string
          description: The id of the target company created
      required:
        - type
        - investorStartupId
    CreateAnalysisResponse:
      type: object
      properties:
        message:
          type: string
        data:
          $ref: '#/components/schemas/Analysis'
      required:
        - message
        - data
    AnalysisType:
      type: string
      enum:
        - investment_analysis
    Analysis:
      type: object
      properties:
        id:
          type: string
          description: The id of the analysis
        type:
          type: string
          description: The type of the analysis
        isCompleted:
          type: boolean
          description: The status of the analysis
        result:
          description: The result of the analysis
          allOf:
            - $ref: '#/components/schemas/AnalysisResult'
        status:
          type: string
          description: The status of the analysis
        cuuroModelVersion:
          type: string
          description: The curro model version
        scoreDetails:
          $ref: '#/components/schemas/InvestmentAnalysisScore'
        createdAt:
          type: string
          description: The date the analysis was created
        updatedAt:
          type: string
          description: The date the analysis was last updated
        overallScore:
          type: number
        investorStartupId:
          type: string
        investorId:
          type: string
        startupId:
          type: string
      required:
        - id
        - type
        - isCompleted
        - result
        - status
        - cuuroModelVersion
        - scoreDetails
        - createdAt
        - updatedAt
        - overallScore
        - investorStartupId
        - investorId
        - startupId
    AnalysisResult:
      type: object
      properties:
        score:
          $ref: '#/components/schemas/InvestmentAnalysisScore'
        thesis:
          type: string
        risk:
          type: string
        customer:
          type: string
        problem:
          type: string
        value:
          type: string
        size:
          type: string
        innovation:
          type: string
        defensibility:
          type: string
        scalability:
          type: string
        traction:
          type: string
      required:
        - score
        - thesis
        - risk
        - customer
        - problem
        - value
        - size
        - innovation
        - defensibility
        - scalability
        - traction
    InvestmentAnalysisScore:
      type: object
      properties:
        value_proposition:
          type: number
        innovation:
          type: number
        market_size:
          type: number
        defensibility:
          type: number
        scalability:
          type: number
        traction:
          type: number
        overall_score:
          type: number
      required:
        - value_proposition
        - innovation
        - market_size
        - defensibility
        - scalability
        - traction
        - overall_score
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````